Package org.opensaml.xmlsec

# Class SignatureValidationParameters

java.lang.Object
org.opensaml.xmlsec.AlgorithmPolicyParameters
org.opensaml.xmlsec.SignatureValidationParameters

public class SignatureValidationParameters extends AlgorithmPolicyParameters
The effective parameters to use when validating an XML signature.

## Field Summary

Fields
Modifier and Type
Field
Description
`private SignatureTrustEngine`
`signatureTrustEngine`
The signature trust engine to use.

## Constructor Summary

Constructors
Constructor
Description
`SignatureValidationParameters()`

## Method Summary

Modifier and Type
Method
Description
`SignatureTrustEngine`
`getSignatureTrustEngine()`
Get the signature trust engine to use.
`void`
`setSignatureTrustEngine(SignatureTrustEngine engine)`
Set the signature trust engine to use.

### Methods inherited from class org.opensaml.xmlsec.AlgorithmPolicyParameters

`getExcludedAlgorithms, getIncludedAlgorithms, setExcludedAlgorithms, setIncludedAlgorithms`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### signatureTrustEngine

@Nullable private SignatureTrustEngine signatureTrustEngine
The signature trust engine to use.

## Constructor Details

### SignatureValidationParameters

public SignatureValidationParameters()

## Method Details

### getSignatureTrustEngine

@Nullable public SignatureTrustEngine getSignatureTrustEngine()
Get the signature trust engine to use.

Returns:
  the signature trust engine

### setSignatureTrustEngine

public void setSignatureTrustEngine(@Nullable SignatureTrustEngine engine)
Set the signature trust engine to use.

Parameters:
  `engine` - the signature trust engine